Name:           gpx-viewer
Version:        0.1.1
Release:        4%{?dist}
Summary:        A simple gpx viewer

Group:          Applications/Internet
License:        GPLv2+
URL:            http://blog.sarine.nl/gpx-viewer/
Source0:        http://edge.launchpad.net/gpx-viewer/trunk/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:         %{name}-configure.patch
Patch1:         %{name}-include.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  libchamplain-devel
BuildRequires:  libchamplain-gtk-devel
BuildRequires:  vala-devel
BuildRequires:  libxml2-devel

BuildRequires:  desktop-file-utils
BuildRequires:  intltool

Requires:       hicolor-icon-theme


%description
GPX Viewer is a simple program to visualize a gpx file. It has no
intention to become a full blown manager, editor or analyzer.


%prep
%setup -q
%patch0 -p1 -b .configure
%patch1 -p1 -b .include


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf %{buildroot}


%post
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%changelog
* Sun Oct 11 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.1-4
- Reactivated patch0

* Sun Oct 11 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.1-3
- Deactivated patch0

* Sat Oct 10 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.1-2
- Added patches to make it work with new libchamplain

* Mon Oct 05 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.1-2
- BR updated

* Wed Sep 09 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.1-1
- Updated to new upstream version 0.1.1

* Fri Aug 14 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.0-1
- Updated source URL
- Updated to new upstream version 0.1.0

* Thu Aug 06 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.7-2
- Fixed BR

* Mon Jul 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.7-1
- Updated to new upstream version 0.0.7

* Mon Jul 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.5-1
- Initial spec for Fedora
